<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$est=mysqli_query($con,"SELECT * FROM modulo_permiso WHERE mod_id='31' and modp_nombre='Modificar Precio' and usuario='$usu_id' ") or die(mysqli_error($con));
$est=mysqli_fetch_array($est);
if($est['estado']=='Activo')
{
    $readonly='';
}
else
{
    $readonly='readonly'; 
}

$est1=mysqli_query($con,"SELECT * FROM modulo_permiso WHERE mod_id='31' and modp_nombre='Modificar Cantidad' and usuario='$usu_id' ") or die(mysqli_error($con));
$est2=mysqli_fetch_array($est1);
if($est2['estado']=='Activo')
{
    $readonly_can='';
}
else
{
    $readonly_can='readonly'; 
}


$pedcom=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from pedido_detalle_combo where pedcom_id='$pedcom'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);

$pedcom_id=$dato['pedcom_id'];
$combo_id=$dato['combo_id'];
$pedcom_observaciones=$dato['pedcom_observaciones'];
$pedcom_cantidad=$dato['pedcom_cantidad'];
$pedcom_precio=$dato['pedcom_precio'];
$pedcom_nombre=$dato['pedcom_nombre'];
$pend_archivado=$dato['pend_archivado'];
$pedcom_hora=$dato['pedcom_hora'];

if ($pend_archivado=='si') {
    $readonly1='readonly';
} else { 
    $readonly1='';
}

$can7=mysqli_query($con,"SELECT * FROM combos WHERE com_id='$combo_id'") or die(mysqli_error($con));  
$dat=mysqli_fetch_array($can7);
$com_estado=$dat['com_estado'];

if ($com_estado=='Activo')
{
?>
    <form role="form" id="actualizarcom">      
       
        <div class="alert alert-info alert-dismissable">
            <strong><?php echo $pedcom_nombre; ?></strong>
        </div>
        <?php if ($pend_archivado=='si') { ?>
        <div class="col-md-12">
            <label for="cantidad_item" class="control-label">Hora de pedido</label>
            <input type="text" class="form-control input-sm" value="<?php echo $pedcom_hora; ?>" <?php echo $readonly1 ?>>
        </div>
        <?php } ?>
         <input type="hidden" name="pedcom_id" value="<?php echo $pedcom_id; ?>">
        <div class=" col-md-6" style="padding:0px;">      
            <label for="cantidad_item" class="control-label">Cantidad</label>
            <input type="number" min="1" class="form-control input-sm" value="<?php echo $pedcom_cantidad; ?>" name="cantidadcom" <?php if ($readonly_can && $readonly1) echo 'readonly'; ?> required > 
        </div>
        <div class="col-md-6 ">
            <label for="precio_item" class="control-label">Precio</label>
            <div class="input-group">
                <span class="input-group-addon">$</span>
                <input type="number" class="form-control input-sm" value="<?php echo $pedcom_precio; ?>" name="preciocom" required <?php echo $readonly; ?>>
            </div>
        </div>
        <label for="cantidad_item" class="control-label">Observaciones</label>
        <textarea rows="3" class="form-control input-sm" name="observacionescom"><?php echo $pedcom_observaciones; ?></textarea>

        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            <button type="submit" class="btn btn-info">Actualizar datos</button>
        </div>
    </form>
<?php 
} 
else 
{
    echo '<div class="alert alert-danger alert-dismissable">
    <strong>Ups!</strong> Articulo agotado.
    </div>';   
}

?>
<script>
$("#actualizarcom").submit(function(e){
    e.preventDefault();
    $.post("php_pedidos/editar_combo.php",$("#actualizarcom").serialize(),function(data){
    });
    $('#editModalcombo').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    loadTablaConfirmado();
    loadTabla();
    loadtotal();
});

</script>